package main

import (
	log "github.com/sirupsen/logrus"
	"github.com/spf13/viper"
	"go/types"
)

type logger types.Nil

func (logger) Write(p []byte) (n int, err error) {
	log.Info(string(p))
	return len(p), err
}

func setFormatter() {
	log.SetFormatter(&log.TextFormatter{
		ForceColors:               false,
		DisableColors:             false,
		ForceQuote:                false,
		DisableQuote:              false,
		EnvironmentOverrideColors: false,
		DisableTimestamp:          false,
		FullTimestamp:             true,
		TimestampFormat:           "",
		DisableSorting:            true,
		SortingFunc:               nil,
		DisableLevelTruncation:    false,
		PadLevelText:              false,
		QuoteEmptyFields:          false,
		FieldMap:                  nil,
		CallerPrettyfier:          nil,
	})
}

func setLevel() {
	level, err := log.ParseLevel(viper.GetStringMap("system")["loglevel"].(string))
	if err != nil {
		log.Fatalf("Error parsing log level, %s", err)
	}
	log.SetLevel(level)
}
